import request from '@/utils/request'

// 查询热词列表
export function listMallHotWord(query) {
  return request({
    url: '/mall/mallHotWord/list',
    method: 'get',
    params: query
  })
}

// 查询热词详细
export function getMallHotWord(id) {
  return request({
    url: '/mall/mallHotWord/' + id,
    method: 'get'
  })
}

// 新增热词
export function addMallHotWord(data) {
  return request({
    url: '/mall/mallHotWord',
    method: 'post',
    data: data
  })
}

// 修改热词
export function updateMallHotWord(data) {
  return request({
    url: '/mall/mallHotWord',
    method: 'put',
    data: data
  })
}

// 删除热词
export function delMallHotWord(id) {
  return request({
    url: '/mall/mallHotWord/' + id,
    method: 'delete'
  })
}

// 导出热词
export function exportMallHotWord(query) {
  return request({
    url: '/mall/mallHotWord/export',
    method: 'get',
    params: query
  })
}